<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/BluetoothImplementations/BlueZ/include/BlueZ/GVariantTupleReader.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_27114e8c504df5f4609f20f7d28eb6fc.html">BluetoothImplementations</a></li><li class="navelem"><a class="el" href="dir_734f87f436384b5f4d3ce6cedeff05c0.html">BlueZ</a></li><li class="navelem"><a class="el" href="dir_dcc26bf29d4b694c2f1fb3cf2aba65ed.html">include</a></li><li class="navelem"><a class="el" href="dir_6061b9c865ef17da7826af8a1f20a075.html">BlueZ</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GVariantTupleReader.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_g_variant_tuple_reader_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_GVARIANTTUPLEREADER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_GVARIANTTUPLEREADER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;functional&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;gio/gio.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_managed_g_variant_8h.html">BlueZ/ManagedGVariant.h</a>&quot;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_managed_g_error_8h.html">BlueZ/ManagedGError.h</a>&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>bluetoothImplementations {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>blueZ {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html">   36</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html">GVariantTupleReader</a> {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a1677798393cf7b7a441f6d5d227c4882">~GVariantTupleReader</a>();</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a607700fe7675f329e93e03ca6ef7e360">GVariantTupleReader</a>(GVariant* originalVariant);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a607700fe7675f329e93e03ca6ef7e360">GVariantTupleReader</a>(<a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">ManagedGVariant</a>&amp; originalVariant);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a607700fe7675f329e93e03ca6ef7e360">GVariantTupleReader</a>(<span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html">GVariantTupleReader</a>&amp; other);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#ab6c65e97f5abe623c18aab7179fd7a2a">getCString</a>(gsize <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">char</span>* <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a8ecdfdd242ea7cbe6104af3fb85d94e5">getObjectPath</a>(gsize <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    gint32 <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a96b70e4ce6600e35b4ce330f4cd20172">getInt32</a>(gsize <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    gboolean <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a194c7507a6e35b5f8659ed76672d79d2">getBoolean</a>(gsize <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">ManagedGVariant</a> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#ab3e0eda419cf4de19fcf809049539408">getVariant</a>(gsize <a class="code" href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">index</a>) <span class="keyword">const</span>;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    gsize <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a87618e76fd01d3f3eaf6007ad7672f34">size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a0cce103df6693b6565dd581f34e5ef75">forEach</a>(std::function&lt;<span class="keywordtype">bool</span>(GVariant* value)&gt; iteratorFunction) <span class="keyword">const</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="comment">/*</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="comment">     * A @c GVariant* containing a tuple</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">     */</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    GVariant* m_tuple;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;};</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;}  <span class="comment">// namespace blueZ</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;}  <span class="comment">// namespace bluetoothImplementations</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_BLUETOOTHIMPLEMENTATIONS_BLUEZ_INCLUDE_BLUEZ_GVARIANTTUPLEREADER_H_</span></div><div class="ttc" id="_managed_g_error_8h_html"><div class="ttname"><a href="_managed_g_error_8h.html">ManagedGError.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a0cce103df6693b6565dd581f34e5ef75"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a0cce103df6693b6565dd581f34e5ef75">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::forEach</a></div><div class="ttdeci">bool forEach(std::function&lt; bool(GVariant *value)&gt; iteratorFunction) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:34</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a607700fe7675f329e93e03ca6ef7e360"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a607700fe7675f329e93e03ca6ef7e360">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::GVariantTupleReader</a></div><div class="ttdeci">GVariantTupleReader(GVariant *originalVariant)</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:56</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a194c7507a6e35b5f8659ed76672d79d2"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a194c7507a6e35b5f8659ed76672d79d2">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::getBoolean</a></div><div class="ttdeci">gboolean getBoolean(gsize index) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:116</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_managed_g_variant.html">alexaClientSDK::bluetoothImplementations::blueZ::ManagedGVariant</a></div><div class="ttdef"><b>Definition:</b> ManagedGVariant.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_ab3e0eda419cf4de19fcf809049539408"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#ab3e0eda419cf4de19fcf809049539408">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::getVariant</a></div><div class="ttdeci">ManagedGVariant getVariant(gsize index) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:130</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test_html_a7b86e4ce414fe200671d6b2f13f570a7"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1media_player_1_1android_1_1test.html#a7b86e4ce414fe200671d6b2f13f570a7">alexaClientSDK::mediaPlayer::android::test::index</a></div><div class="ttdeci">static int index</div><div class="ttdoc">Mock buffer index. </div><div class="ttdef"><b>Definition:</b> AndroidSLESMediaQueueTest.cpp:70</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a96b70e4ce6600e35b4ce330f4cd20172"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a96b70e4ce6600e35b4ce330f4cd20172">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::getInt32</a></div><div class="ttdeci">gint32 getInt32(gsize index) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:102</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader</a></div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.h:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a1677798393cf7b7a441f6d5d227c4882"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a1677798393cf7b7a441f6d5d227c4882">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::~GVariantTupleReader</a></div><div class="ttdeci">~GVariantTupleReader()</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:68</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_ab6c65e97f5abe623c18aab7179fd7a2a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#ab6c65e97f5abe623c18aab7179fd7a2a">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::getCString</a></div><div class="ttdeci">char * getCString(gsize index) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:74</div></div>
<div class="ttc" id="_managed_g_variant_8h_html"><div class="ttname"><a href="_managed_g_variant_8h.html">ManagedGVariant.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a87618e76fd01d3f3eaf6007ad7672f34"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a87618e76fd01d3f3eaf6007ad7672f34">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::size</a></div><div class="ttdeci">gsize size() const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:144</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader_html_a8ecdfdd242ea7cbe6104af3fb85d94e5"><div class="ttname"><a href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_g_variant_tuple_reader.html#a8ecdfdd242ea7cbe6104af3fb85d94e5">alexaClientSDK::bluetoothImplementations::blueZ::GVariantTupleReader::getObjectPath</a></div><div class="ttdeci">char * getObjectPath(gsize index) const</div><div class="ttdef"><b>Definition:</b> GVariantTupleReader.cpp:88</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
